# vim: set sw=4 ts=4 et nu:

Name:               sonata
Version:            1.6.2.1
Release:            3.2
Summary:            Elegant Music Client for MPD
Source:             http://codingteam.net/project/sonata/download/file/sonata-%{version}.tar.bz2
Patch1:             sonata-mmkeys-deps_pygobject.patch
URL:                http://sonata.berlios.de/
Group:              Productivity/Multimedia/Sound/Players
License:            GNU General Public License version 3 (GPL v3)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
BuildRequires:      gtk2-devel
BuildRequires:      python-gtk-devel >= 2.12
%if 0%{?suse_version} >= 1140
BuildRequires:      python-gobject-devel
%else
BuildRequires:      python-gobject2-devel
%endif
BuildRequires:      python-mpd >= 0.2
BuildRequires:      python-xml
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
Recommends:         python-gnome-extras
Recommends:         dbus-1-python
Recommends:         mpd >= 0.12
Requires:           python-xml
Requires:           python-gtk >= 2.12
Requires:           python-mpd >= 0.2
BuildRequires:      fdupes
%py_requires

%description
Sonata is an elegant GTK+ music client for the Music Player Daemon (MPD).

%prep
%setup -q
%patch1

%build
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=files.lst

%__chmod 0755 "%{buildroot}%{_bindir}/sonata"

%__perl -ni -e 'print unless m,^%{_datadir}/locale,' files.lst
%__perl -ni -e 'print unless m,^%{_mandir},' files.lst
%__perl -ni -e 'print unless m,^%dir\s+%{_datadir}/(pixmaps|applications)/?$,' files.lst
%__perl -ni -e 'print unless m,^%{_bindir}/sonata$,' files.lst

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%find_lang "%{name}"

%__install -d _rpmdoc
for f in README CHANGELOG TODO TRANSLATORS; do
    %__ln_s "%{_datadir}/sonata/$f" "_rpmdoc/$f"
done

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang" -f files.lst
%defattr(-,root,root)
%doc COPYING
%doc _rpmdoc/*
%doc %{_mandir}/man1/sonata.1*
%attr(0755,root,root) %{_bindir}/sonata

%changelog
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- fix dependencies for 11.3 by adding gtk2-devel explicitly
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- add missing BuildRequires+Requires python-xml
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- initial version (1.6.2.1)
